// BeYapApp.cpp
// Copyright(C) 1999 by Kiyoshi Kobayashi. All rights reserved.
//
//
#include <Debug.h>
#include "BeYapApp.h"
#include "Profile.h"

static const char SIGNATURE[] = "application/x-vnd.KYU-BeYap";
static const char PROFILE[] = "BeYap_settings";

BeYapApp::BeYapApp()
	: BApplication(SIGNATURE) {
	p = new Profile(PROFILE);
	ASSERT((p->InitCheck() == B_NO_ERROR));
	win = new BeYapWin(p->GetFrame(), p);
}

BeYapApp::~BeYapApp() {}

thread_id
BeYapApp::Run() {
	win->Show();
	return BApplication::Run();
}

void
BeYapApp::MessageReceived(BMessage *message) {
	PRINT_OBJECT(*message);
	
	BApplication::MessageReceived(message);
}
